[2019-10-08] 1890567 (HEAD -> master, tag: 7.0.1, origin/master, origin/HEAD) Version bump - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-10-08] 97f4c36 Updating `CHANGELOG` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-10-08] f175497 Creating `changelog` npm script & `CHANGELOG` output - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-09-27] 822b617 fix incorrectly marked directory (dist vs lib) - osdevisnot (osdevisnot@gmail.com)
[2019-09-27] ab1d29f update tslib-cli - avoids warning during build - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] 0672370 (tag: 7.0.0) Version bump to release modernization effort - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-09-26] bd366fc remove special webapck usage instructions as it just works - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] 32da32a add default export from outro to main file - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] fc614a3 start using new build tool - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] 6df99b8 add minimal tsconfig needed for tslib-cli - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] 50f969a ignore outout of npm pack - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] ca96e77 remove npmignore, see 'files' in package.json for whitelist - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] 7ae2bf7 remove slash stars form ignore files - osdevisnot (osdevisnot@gmail.com)
[2019-09-26] d35c2cb remove extraneous files from lib - osdevisnot (osdevisnot@gmail.com)
[2019-09-19] 0f779b4 Don't care about building in node.js 6 anymore - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-09-19] 0814a7f (tag: 6.1.0) Version bump to release #26, updating dependencies - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-09-19] d84aead ES6 module - stereobooster (stereobooster@gmail.com)
[2019-09-19] b8dbd71 Add typescript signature - stereobooster (stereobooster@gmail.com)
[2019-08-28] dbf8179 Bump mixin-deep from 1.3.1 to 1.3.2 - GitHub (noreply@github.com)
[2019-08-26] 68921f6 Bump eslint-utils from 1.3.1 to 1.4.2 - GitHub (noreply@github.com)
[2019-07-10] 11a7803 Bump lodash from 4.17.11 to 4.17.14 - GitHub (noreply@github.com)
[2019-01-30] b230fc8 (tag: 6.0.1) Rebuilding so version tag is updated everywhere - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-24] 517c716 Add es5 output compiled with babel-preset-env - GeKorm (mail@gekorm.com)
[2019-01-21] 41daa80 (tag: 6.0.0) Adding validation of arguments to factory - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-21] e6e35df Updating benchmark - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-21] 5c5d9de Updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-21] 4b87713 Updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-21] f13067c Keeping `set()` DRY - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-21] 525e740 Initial refactoring to a reorganizing FIFO behavior - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] f8b25e8 (tag: 5.1.4) Fixing duplicate banner in minified files - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] aa6115b (tag: 5.1.3) Version bump for npmjs issue - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] 37ad9b8 (tag: 5.1.2) Missed changing calls to `this.remove()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] 785f03b (tag: 5.1.1) Removing unneeded ops from conditional statements - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] b347c8e (tag: 5.1.0) Swapping siguratures of `delete()` & `remove()` and adding `keys()` to get an API closer to a `Map` (leaving `length` vs `size` for now) - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] c0d0fb2 Updating travis-ci.org config to target current unstable & supported/functional stables - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] eb5d9fe (tag: 5.0.7) Version bump to release engine requirement change, updating README & LICENSE copyright years - Jason Mulligan (jason.mulligan@avoidwork.com)
[2019-01-13] 18fe7f9 Lower engine requirements to node 6+ - Dmitry Shirokov (dshirokov@seek.com.au)
[2018-12-31] c5c362d Updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-31] c515ceb (tag: 5.0.6) Version bump to release README changes - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-31] 7b66c2e Updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-31] cdf8f38 Updating README, fixes #17 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-21] c8c5ab7 Updating npm ignore file - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-19] 9302ce1 (tag: 5.0.4) Reverting attribute name change to keep it aligned with common doubly linked list implementations - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-12] 744b6b9 (tag: 5.0.3) Removing an unneeded conditional statement & assignment in update path of `set()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-12] 157a61a (tag: 5.0.2) Fixing assignment of `right` for of old `left` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-12] 10e4f25 (tag: 5.0.1) Fixing assigning `left` of previous `first` assignment of `right` from an update in `set()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-12] 39acdf5 Fixing reassigning previous `first.left` from an update in `set()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-12] 0ee3265 Adding tests to validate cache item shape - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-12] ce8c396 Renaming `previous` to `left` & `next` to `right` for easier left>right mental picture - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-09] db552c2 (tag: 5.0.0) Missed in previous commit - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-08] 4f21c51 Minor tweak - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-08] e1a2032 Fixing call to `set()`, reducing `get()`, fixing signature of `delete()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-08] f952515 Fixing call to `set()`, reducing `get()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-08] 64b49dc Updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-08] 31bc3eb Reducing code - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-08] 9576b00 Initial refactor to remove `notify` functionality - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-08] 12d7d06 (tag: 4.0.6) Fixing assignment of `last` & adding test - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-07] 8b6719a (tag: 4.0.5) Refactoring `set()` to avoid ops & fix an assignment - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-05] 42536c7 (tag: 4.0.4) Refactoring `set()` to not call `link()` on update 'cause it kills performance hard - Jason Mulligan (jamullig@adobe.com)
[2018-12-05] 266e5a7 (tag: 4.0.3) Fixing relational assignments, fixes #16 - Jason Mulligan (jamullig@adobe.com)
[2018-12-05] c790d38 Prep to fix the other side of the link list - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-05] 8f18b83 (tag: 4.0.2) Fixing pointer drift via `set()` & keeping it `DRY` - Jason Mulligan (jamullig@adobe.com)
[2018-12-05] 6d72db2 (tag: 4.0.1) Fixing mis-assignment of `this.last` from `remove()` - Jason Mulligan (jamullig@adobe.com)
[2018-12-05] 1a0c3b2 (tag: 4.0.0) Undoing API change as it's breaking things - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-05] 5378fdb (tag: 3.0.7) Undoing API change as it's breaking things - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-05] d646940 (tag: 3.0.6) Version bump - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-12-05] d0cdcfe Moving `reset()` into lexical scope & calling from `constructor()` & `clear()`, fixing / simplifying `remove()`, fixes #7 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-30] cd1d926 Updating test to validate there is only 1 null `next` & `previous` within cache items - Jason Mulligan (jamullig@adobe.com)
[2018-11-30] 4f2fae5 (tag: 3.0.5) Fixing a long standing reference error of a pointer being circular ref (key === previous && key === next) - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-27] 40ea57b (tag: 3.0.4) Fixing factory signature drift - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-26] 5862111 (tag: 3.0.3) Refactoring `remove()` to have a third parameter which is called from `evict()` to minimize lookup - Jason Mulligan (jamullig@adobe.com)
[2018-11-26] 09a7540 (tag: 3.0.2) Reverting change `get()` such that it calls `set()`, refactoring `set()` to add a forth `bypass` parameter to avoid a call to `has()` (original goal i think, been too many now), fixes #15 - revisit later to minimize ops properly - Jason Mulligan (jamullig@adobe.com)
[2018-11-24] e67d2df (tag: 3.0.1) Fixing a flawed conditional which a modified test helped hide - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] fc6daa5 Version bump due to removing `expire` parameter of the constructor - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] 25088eb Returning state logic, updating test - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] d91f0c2 Updating a statement in `get()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] be5dadb Updating signature of `has()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] 601945e oops - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] 24d5ce8 Updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] 3fc4311 Initial refactoring to have a singular `ttl` property & no timers - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] c02f7a8 Verbose statements, fixing `remove()` by moving a `notify()` into a conditional statement when a key is valid, adding `benchmark.js` for dev purposes - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] f64d28f Fixing a logic flaw in `remove()` which could leak a timer in `expires` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] 908649d Changing order of ops in `get()` to fix transmitting invalid state via `notify` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-24] 19a6fc6 Changing `dump()` to minimize ops & include `expires` property in serialized copy - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-20] 7a3c9a6 (tag: 2.0.0) Dropping transpire, major version bump - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-20] 64e8802 (tag: 1.6.4) Version bump - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-20] 6e35d86 Fixing `set()` such that it calls `evict()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-20] f321070 (tag: 1.6.3) Removing a conditional statement from `remove()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-20] 0540189 (tag: 1.6.2) Changing the signature of `remove()`, fixes #13 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-11-20] 1420af2 Updating dependencies - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-05-24] bbbfacb (tag: 1.6.1) Fixing leaks due to rushing; changing signature of `clearTimer()` to accept a second arg, fixing `remove()` by conditionally clearing the `expires` timer for a record, fixing `reset()` by clearing `expires`, fixing `set()` to only call `setExpires()` if enabled & `key` is new - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-05-23] ec7ae6f (tag: 1.6.0) Creating `expire` property to remove items regardless of last accessed (ttl), fixes #11 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-03-28] fb174d7 (tag: 1.5.2) Refactoring `remove()` to avoid an assignment if not required - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-03-25] cd8da34 Updating CI config - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-03-25] df0a745 (tag: 1.5.1) Swapping `null` for `''` as an interim fix for an erroneous `null` value which collides with `remove()` - lack of time / this'll solve it for now; no negative impact on `bench-lru` results - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-03-25] 8708506 Build artifacts - Jason Mulligan (jason.mulligan@avoidwork.com)
[2018-03-25] 22b0fd5 Updating copyright year, minor tweak to a test - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-12-28] 31c832f (tag: 1.5.0) Adding `ttl` property to expire stale items - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-13] 56488c1 (tag: 1.4.13, origin/1.4) Simplifying an assignment (see https://github.com/avoidwork/tiny-lru/pull/10), version bump to release - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-12] 957210d Adding more tests to verify deleting the last item doesn't have the same issue as #8 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-12] c19d67a Version bump to release - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-12] 6268647 Blocking an erroneous `null` assignment, fixes #8 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-12] 3e17016 Updating tests & adding one that deletes the first item in the cache creating a `null` reference - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-06] 35ea0c6 Updating travis-ci.org configuration - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-06] 6a67f1c (tag: 1.4.11) building - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-11-06] cf6eabf Reverting `Reflect.ownKeys()` to `Object.keys()` because it doesn't need symbols in the enumeration - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-10-09] a3da95d (tag: 1.4.10) Updating lock file - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-10-09] 1f77ff0 Removing loader script, fixes #6 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-10-09] 9764b4f Creating `reset()` & wiring it into `clear()` and `constructor()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-10-09] 05dff7f Updating dev dependencies, adding npm lock file - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-05-13] 98bbba0 (tag: 1.4.9) Correcting the setting of `this.first` & `this.last`, updating test, fixes #7 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-05-13] 470314b Fixing a potential reference error, fixes #7 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-04-11] 41f3d8f Adding tests for issue #5 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-04-11] b3dabf3 (tag: 1.4.8) Fixing a reference loop when cache holds 2 items, fixes #5 - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-04-11] e4ca74e Fixing a reference error, fixes #4 - Jason Mulligan (jamullig@adobe.com)
[2017-04-11] f53da2f Partially fixing `remove()` by insuring `key` variable is a string, added tests (WIP) - Jason Mulligan (jamullig@adobe.com)
[2017-02-10] 3711e7a (tag: 1.4.7) Holy deopt batman! - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-02-10] ae4fe0a (tag: 1.4.6) Webstorm @#$#@%@# - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-02-10] f45ec73 (tag: 1.4.5) Fixing a potential reference error - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-02-10] e248b48 (tag: 1.4.4) Optimizing `evict()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-02-10] bb88a78 (tag: 1.4.3) Changing the signature of `remove()` to avoid edge case creation - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-02-10] e208b76 Adding some tests double checking deleting things that don't exist won''t be an  issue - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-01-23] a429da6 (tag: 1.4.2) Fixing a potential reference error - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-01-05] dd6a223 (tag: 1.4.1) Refactoring `set()` to be faster for updating values, updating `delete()` arguments to match `remove()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-01-02] 0e565ec (tag: 1.4.0) Updating the return of `clear()`, updating `.gitignore` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-01-02] d8e6bbc Updating copyrights - Jason Mulligan (jason.mulligan@avoidwork.com)
[2017-01-02] 5b89f46 Creating `cache.clear()`, updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-20] 480d61a (tag: 1.3.3, origin/1.3) Updating `package.json` to use `index.js` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-20] 678a0ef (tag: 1.3.2) Fixing `update()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-19] 05ffd08 (tag: 1.3.1) Adding `update()` to receive state from `onchange()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-19] 4c07f2f (tag: 1.3.0) Updating travis-ci.org config - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-19] 09b61a1 Updating README - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-19] e86d4ee Adding `"use strict";` to `intro.js` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-19] 20c0fd0 Updating travis-ci.org config - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-19] 5f5bdd3 Updating `.gitignore` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-19] 2b2880f Creating `this.notify` & `this.onchange(eventName, serializedCache)`, updating eslint rules - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-14] 9e4195f (tag: 1.2.1) Creating `merge()` to be the completion of `dump()` for duplicating state between caches - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-14] a73e37a (tag: 1.2.0) Updating bower config to ignore more files - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-11-14] 52df3a9 Removing `LRUItem` class, creating `clone()` & `dump()`, cloning values on `set()` & `get()` so the cache is pristine, adding tests - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-03-16] 7202699 Adding a bower config - Jason Mulligan (jason.mulligan@avoidwork.com)
[2016-01-24] f75b2eb (tag: 1.1.0, origin/1.1) Updating to ES6 syntax & babel transpile, removing `/docs` as it will not be generated now - avoidwork (jason.mulligan@avoidwork.com)
[2016-01-22] 5e09785 rebuild - Cameron Nokes (ccnokes@gmail.com)
[2016-01-22] 6fa548e Add `has` and `delete` methods so that it implements the parts of the Map method interface that make it compatible with lodash's memoize method. Add corresponding docs and tests. - Cameron Nokes (ccnokes@gmail.com)
[2013-08-25] 5f000f8 (tag: 1.0.2, origin/1.0) Minor tweak to code structure, added docs - Jason Mulligan (jason.mulligan@avoidwork.com)
[2013-07-28] c61d864 (tag: 1.0.1) Fixing `set()` - Jason Mulligan (jason.mulligan@avoidwork.com)
[2013-07-26] 0c64c8a (tag: 1.0.0) Initial commit of code - Jason Mulligan (jason.mulligan@avoidwork.com)
[2013-07-26] f65e333 Initial commit - Jason Mulligan (jason.mulligan@avoidwork.com)
